DibujoTécnico Achurado

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Hatch and the translation is 61% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

TechDraw Hatch.svg DibujoTécnico Achurado

Ubicación en el Menú
DibujoTécnico → Achurar un plano usando un archivo de imagen
Entornos de trabajo
DibujoTécnico
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
DibujoTécnico Aplicar la achurado geométrica a la plano, DibujoTécnico Achurado

Descripción

La herramienta Achurado rellena una región cerrada en una Vista con un patrón de achurado, que pueden ser archivos SVG o bitmap. Por el contrario el TechDraw GeometricHatch.svg Achurado geométrico utiliza un archivo de patrones PAT específico, vea Achurado para más detalles.

TechDraw Hatch example.png

SVG achurado patrón en una cara

Utilización

  1. Select an closed region in a View.
  2. Press the TechDraw Hatch.svg Hatch a Face using Image File button
  3. A dialog will open where you can select the pattern file, the scale and color.

Notas

  • Hatching objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information. It is recommended that hatching be one of the last steps in your drawing process.
  • Sample SVG patterns are available locally in
$INSTALL_DIR/data/Mod/TechDraw/Patterns

where $INSTALL_DIR is the directory where FreeCAD was installed, for example

/usr/share/freecad/data/Mod/TechDraw/Patterns

and also on GitHub.

Propiedades

  • DataSource: The View and Face to receive the hatch pattern.
  • DataHatch Pattern: Full path and filename to an SVG pattern file.
  • ViewHatch Color: Hatch pattern will be displayed in this color.
  • ViewHatch Scale: Hatch pattern size modifier.

Guión

See also: TechDraw API and FreeCAD Scripting Basics.

The Hatch tool can be used in macros and from the Python console by using the following functions:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawHatch','Hatch')
hatch.Source = (view1,["Face0"])
hatch.HatchPattern = hatchFileSpec
rc = page.addView(hatch)